Instalando o amsn-0.97RC1-1 no Kurumin 7.0

Publicado por Perfil removido em 04/07/2007

[ Hits: 30.401 ]

 


Instalando o amsn-0.97RC1-1 no Kurumin 7.0



Para quem está com dificuldades de instalar a mais nova versão do aMSN no Kurumin 7.0, eis a solução. Abra um terminal e digite os seguintes comandos:

$ sudo apt-get update
$ sudo apt-get install tk8.4 tcl8.4


Em seguida, baixe o aMSN no mesmo terminal utilizando o wget com o seguinte comando:

$ wget -c http://ufpr.dl.sourceforge.net/sourceforge/amsn/amsn-0.97RC1-1.tcl84.x86.package

Altere as permissões para iniciar a instalação:

$ sudo chmod +x amsn-0.97RC1-1.tcl84.x86.package
$ ./amsn-0.97RC1-1.tcl84.x86.package


Quando surgir a pegunta "Selection B --> OK to download and install support code now? (Y/n):", tecle "y" e aguarde o pacote ser baixado e instalado.

Caso surja algum erro no final da instalação como mostra esta mensagem "FAIL:Install the package with the command 'package install' instead.", execute o seguinte comando:

$ sudo package install amsn-0.97RC1-1.tcl84.x86.package

Veja a imagem abaixo da nova versão do aMSN com meu e-mail na lista.


:::... Viva o Linux ...:::

Outras dicas deste autor

Amarok 1.4.10 no Mint Debian

O comando paste

Habilitar nested paging em libvirt 0.8.3

Instalando avast! Antivírus no Ubuntu - pacote .deb

Instalando o SRWare Iron (Google Chrome) no Linux

Leitura recomendada

Instalando um cliente de terminal services no Linux

K3b reclama privilégios de root?

Única lixeira para todos os compartilhamentos no Samba

Vários vídeos na tela (SplitScreen) no Kdenlive [vídeo]

Blog e repositório de pacotes deb para amd64

  

Comentários
[1] Comentário enviado por celta em 28/07/2007 - 22:15h

Excelente dica! Utilizei-a com sucesso no meu pc. Parabéns pelo trabalho.

[2] Comentário enviado por pardalz em 15/09/2007 - 12:58h

Muito boa.. bem explicado e simples.. obrigado!

[3] Comentário enviado por juliaojunior em 01/10/2007 - 16:20h

blz, muito bom: simples, objetivo e funcional :>

[4] Comentário enviado por paulopugin em 05/10/2007 - 05:11h

No meu deu este erro
# Checking for Versões da biblioteca C requerida ... passou
# Checking for X ... passou
# Checking for TCL Scripting Language ... passou
# Checking for Tk GUI Toolkit ... Application initialization failed: no display name and no $DISPLAY environment variable
Application initialization failed: no display name and no $DISPLAY environment variable
falhou
# FAIL: Could not find 'Tk GUI Toolkit'. Try using the native package manager for Debian (apt-get) to install a package with similar name to 'tk'.
FAIL: Não foi possível preparar o pacote AMSN MSN client.
[email protected]:~# amsn

[5] Comentário enviado por removido em 05/10/2007 - 09:53h

No seu caso, terá que digitar os seguintes comandos:

$ sudo apt-get update
$ sudo apt-get install tk8.4 tcl8.4

Em seguida, digite:

$ sudo package install amsn-0.97RC1-1.tcl84.x86.package

Veja se estes passos surtem efeito e tente abrir o amsn clicando no ícone do mesmo na categoria Internet.

:::... Viva o Linux ...:::

[6] Comentário enviado por sauloplay em 06/10/2007 - 00:50h

Comentário enviado por paulopugin em 05/10/2007 - 05:11h:

No meu deu este erro
# Checking for Versões da biblioteca C requerida ... passou
# Checking for X ... passou
# Checking for TCL Scripting Language ... passou
# Checking for Tk GUI Toolkit ... Application initialization failed: no display name and no $DISPLAY environment variable
Application initialization failed: no display name and no $DISPLAY environment variable
falhou
# FAIL: Could not find 'Tk GUI Toolkit'. Try using the native package manager for Debian (apt-get) to install a package with similar name to 'tk'.
FAIL: Não foi possível preparar o pacote AMSN MSN client.
[email protected]:~# amsn

Comentário enviado por rychardi em 05/10/2007 - 09:53h:

No seu caso, terá que digitar os seguintes comandos:

$ sudo apt-get update
$ sudo apt-get install tk8.4 tcl8.4

Em seguida, digite:

$ sudo package install amsn-0.97RC1-1.tcl84.x86.package

Veja se estes passos surtem efeito e tente abrir o amsn clicando no ícone do mesmo na categoria Internet.

No meu além desse tbm tava dando erro do TCL o q eu fiz, fui no terminal e executei: sudo apt-get -f install

E ai depois sim fiz: sudo package install amsn-0.97RC1-1.tcl84.x86.package
Ai fui pra galera =)

[7] Comentário enviado por luucpe2 em 31/10/2007 - 17:36h

=)

[8] Comentário enviado por ghost-navigator em 31/10/2007 - 20:35h

Se vc estiver com problemas para efetuar o login no amsn e estiver dando erro tls vc pode efetuar o seguinte passo em modo texto logado como root:

wget http://switch.dl.sourceforge.net/sourceforge/amsn/tls-1.5.0-linux-x86.tar.gz
tar -zxvf tls-1.5.0-linux-x86.tar.gz
cd tls1.50
cp * /usr/share/amsn

efetuado esse procedimento é só logar no amsn e falar com o mundo valeu...

[9] Comentário enviado por brenodisilva em 25/12/2007 - 19:05h

Checking for required C library versions ... OK
Checking for X ... OK
Checking for TCL Scripting Language ... failed
-------------------------------
Error: Could not find 'TCL Scripting Language'. Try using the native package manager for Debian (apt-get) to install a package with similar name to 'tcl'.

Error: Unable to prepare package AMSN MSN client.
Ai quando vo instalar o Tcl, olha o q aparece:

E: Dependências desencontradas. Tente `apt-get -f install' sem nenhum pacote (ou especifique uma solução).
alferes:/home/alferes# apt-get -f install
Lendo Lista de Pacotes... Pronto
Construindo Árvore de Dependências... Pronto
Corrigindo dependências... falhou.
Os pacotes a seguir têm dependências desencontradas:
tcl8.5: Depende: libc6 (>= 2.6-1) mas 2.3.6-7 está instalado
tk8.5: Depende: libc6 (>= 2.4-1) mas 2.3.6-7 está instalado
E: Erro, pkgProblemResolver::Resolve gerou falhas, isto pode ser causado por pacotes mantidos (hold).
E: Impossível corrigir dependências


[10] Comentário enviado por pscamilo em 25/12/2007 - 21:21h

ótima dica, estava tentando instalar e não conseguia mas após ler a sua dica consegui instalar o amsn sem problemas, obrigado.

[11] Comentário enviado por brenodisilva em 26/12/2007 - 21:48h

?comentario=o meu linux naum é um Kurumin 7.0, mas é uma versão baseado nele. É um sistema operacional corporativo
Linux alferes 2.6.15-1-686 #1 Fri Aug 4 03:21:29 UTC 2006 i686 GNU/Linux
o link do Linux q trabalho é http://ww3.policiamilitar.mg.gov.br/alferes/wiki/index.php/Alferes_Linux
e to na batalha para ver se consiguo instalar o amsn nele, se alguém poder me ajudar fico grato.

[12] Comentário enviado por paulopugin em 27/12/2007 - 09:53h

eu segui estes passos e funcionou perfeitamente, tanto no linux quanto no OpenSuse e no Fedora
baixe o aMSN0.97RC1.tar.bz2 no link http://sourceforge.net/project/showfiles.php?group_id=54091

feito isso apenas para ficar mais organizado nosso sistema vamos move-lo para a pasta de binarios
#mv amsn-0.97RC1.tar.bz2 /usr/local/
#cd /usr/local/
#tar -jxvf amsn-0.97RC1.tar.bz2
#cd amsn-0.97RC1

agora vamos resolver o problema das pendencias dele:
#apt-get update
#apt-get install tcl8.4-dev
#apt-get install tk8.4-dev
#apt-get install libpng12-dev
#apt-get install libjpeg62-dev
Algumas distribuições talvez seja preciso usar sem o -dev
dpois basta instalar normalmente:
#./configure
#make
#make install

teste agora
se o msn der o erro "Erro ao instalar módulo TLS::Couldn't get
http://switch.dl.sourceforge.net/sourceforge/amsn/tls.1.4.1-linux-ppc.tar.gz"
Baixe o tcl só para indicar ao amsn onde ele está

descompacte dentro da pasta /usr/src/tls-1.5
depois vá no msn e escolha

msn>Conta>Preferências>Avançado>Outros, lá aponte para a pasta /usr/src/:

depois disto deve funcionar normalmente

[13] Comentário enviado por edgon em 03/01/2008 - 11:24h

Excelente, digamos, tutorial, eu travei na parte do "Erro ao instalar módulo TLS::Couldn't get, mas os meus novos colegas do Viva o Linux me ajudaram.

O link direto para baixar o tls é
http://sourceforge.net/project/downloading.php?group_id=13248&use_mirror=ufpr&filename=tls1.5.0-linu...

[14] Comentário enviado por santosken em 24/01/2008 - 23:14h

obrigado pela dica funcionou legal no meu pc

[15] Comentário enviado por viviane_239 em 30/01/2008 - 02:06h

karaka naw to conseguindo abri o meo amsn.tipo jah esta instalado mas naw aparece pra mim longar.tipo aparece a tela branca do novo amsn mas naw aparece pra mim digitar meu e-mail e minha senha...

me ajudar...o q devo fazer???

[16] Comentário enviado por marconisaj em 06/03/2008 - 23:41h

muito ótimo d+ ta de parabens foi mole mole instalar desse jeito até o erro no final foi do jeitinho q tu talou valeu mesmo parabéns!!!

[17] Comentário enviado por suino em 15/05/2008 - 12:02h

Porra meu velho! ficou o bixo....
deu certinho.. juntando tudo aqui..
até mais

[18] Comentário enviado por suino em 17/05/2008 - 16:29h

Enfrentei grandes problemas até conseguir instalar e utilizar o aMsn.
Entretanto, após muitas pesquisas e testes consegui instala-lo.
A fim de simplificar um pouquinho, acabei criando
um resumo sobre a instalação do aMsn no Linux Kurumin,
cujo o conteúdo é composto
por idéias postadas neste artigo.

Obs.: O Mini-tutorial não é de minha autoria, sendo novamente
dito que este foi criado com as soluções indicadas acima.
Portanto todos os créditos serão direcionados a:

* Ricardo Santiago;
http://www.vivaolinux.com.br/perfil/verPerfil.php?login=rychardi

* Fabiano Luiz;
http://www.vivaolinux.com.br/perfil/verPerfil.php?login=ghost-navigator

Começando a instalação (Ricardo Santiago).
Para quem está com dificuldades de instalar
a mais nova versão do aMSN no Linux Kurumin 7, eis a solução.
Abra um terminal e digite os seguintes comandos:

$ sudo apt-get update
$ sudo apt-get install tk8.4 tcl8.4

Em seguida, baixe o aMSN no mesmo terminal utilizando o wget com o seguinte comando:

$ wget -c http://ufpr.dl.sourceforge.net/sourceforge/amsn/amsn-0.97RC1-1.tcl84.x86.package

Altere as permissões para iniciar a instalação:

$ sudo chmod +x amsn-0.97RC1-1.tcl84.x86.package
$ ./amsn-0.97RC1-1.tcl84.x86.package

Quando surgir a pegunta "Selection B --> OK to download and install support code now? (Y/n):",
tecle "y" e aguarde o pacote ser baixado e instalado.

Caso surja algum erro no final da instalação como mostra esta mensagem
"FAIL:Install the package with the command 'package install' instead.",
execute o seguinte comando:

$ sudo package install amsn-0.97RC1-1.tcl84.x86.package

"Problemas com o arquivo tls do aMsn (Fabiano Luiz)"
Antes de realizar as operações a baixo é necessário logar-se como root.
Os comandos que devem ser executados no terminal servem somente para solucionar
os problemas relacionados com arquivo "tls".

wget http://switch.dl.sourceforge.net/sourceforge/amsn/tls-1.5.0-linux-x86.tar.gz
tar -zxvf tls-1.5.0-linux-x86.tar.gz
cd tls1.50
cp * /usr/share/amsn

Fim

[19] Comentário enviado por suino em 18/05/2008 - 17:40h

Aqui vai uma dica para deixar seu aMSN com a cara do MSN Messenger Live:

1 - Entre no diretório dos skins do aMSN:

# cd /usr/share/amsn/skins

2 - Digite:

# wget http://www.amsn-project.net/getURL.php?id=29
# tar xzf aMSN_Live-1.0.tar.gz
# rm aMSN_Live-1.0.tar.gz

Pronto, agora é só escolher o skin pelo menu:

Ferramentas > Selecionar skin

Direitos Autorais:

http://www.vivaolinux.com.br/perfil/verPerfil.php?login=lords%20torvalds

e

http://www.vivaolinux.com.br/perfil/verPerfil.php?login=williamalvessant

[20] Comentário enviado por suino em 25/05/2008 - 02:09h

aMsn no ubuntu:

sudo apt-get update
sudo apt-get install tk8.4 tcl8.4 tcltls
wget -c http://prdownloads.sourceforge.net/amsn/amsn-0.97-1.tcl84.x86.package
chmod +x amsn-0.97-1.tcl84.x86.package
./amsn-0.97-1.tcl84.x86.package

Caso surja algum erro no final da instalação como mostra esta mensagem
"FAIL:Install the package with the command 'package install' instead.",
execute o seguinte comando:

$ sudo package install amsn-0.97-1.tcl84.x86.package


[21] Comentário enviado por removido em 20/06/2008 - 19:29h

Olah amigo instalei tudo mas onde fica.. o programa nao achei na interface grafica como eu executo ele:

[22] Comentário enviado por selviro em 27/06/2008 - 14:39h

Pessoal, saca só o erro que deu...

digitei: sudo package install amsn-0.97RC1-1.tcl84.x86.package

Aí apareceu as seguintes menssagens...


# Preparing package: AMSN MSN client
# Checking for Versões da biblioteca C requerida ... passou
# Checking for X ... passou
# Checking for TCL Scripting Language ... passou
# Checking for Tk GUI Toolkit ... Application initialization failed: no display name and no $DISPLAY environment variable
Application initialization failed: no display name and no $DISPLAY environment variable
falhou
# FAIL: Could not find 'Tk GUI Toolkit'. Try using the native package manager for Debian (apt-get) to install a package with similar name to 'tk'.
FAIL: Não foi possível preparar o pacote AMSN MSN client.


Como faço para reparar estes erros????

Gracias

[23] Comentário enviado por pauloakill em 01/07/2008 - 23:55h

muito bom bem facio e simples

obrigado pela dica

[24] Comentário enviado por wagnerkraemer em 25/07/2008 - 18:19h

fiz todo o procedimento postado aqui e parece que deu tudo certo, não apresentou nenhuma mensagem de erro, porém não apareceu nenhum executável para o programa em lugar nenhum.
Vocês podem me ajudar?

[25] Comentário enviado por idalino em 30/07/2008 - 15:15h

Estou com o seguinte erro ao instalar:

udo package install amsn-0.97RC1-1.tcl84.x86.package
/usr/share/autopackage/apkg-io: line 309: 5214 Exceção de ponto flutuante autopackage-frontend-gtk "[email protected]"


[26] Comentário enviado por odirlei.faria em 10/09/2008 - 08:03h

Estava com o mesmo problema acima, só consegui instalar no meu Kurumin 7.0 seguindo os passos do link abaixo:
http://www.guiadohardware.net/comunidade/showthread.php?t=733142

[27] Comentário enviado por maxsuel em 26/09/2008 - 00:05h

bom primeiro quero te parabenizar pelo passo a passo , muito bom e fácil.
queria que me ajudase se alguém souber ai,
eu digito o meu login e minha senha no amsn do kurumin 7.0 e ele so fica tentando se conectar com o servidor, mas não consegue. acledito que não é problema no amsn porque no antigo que usava dava o mesmo problema.
já pelo korpete eu consigo.
e no windows usando o mesmo amsn eu consigo
alguém sabe me dizer se tem alguma configuração para fazer, por favor
agradeço desde já.

[28] Comentário enviado por removido em 26/09/2008 - 09:31h

Olá, maxsuel...

Você deverá remover o aMSN que está instalado e instalar a versão 0.97.2 e ou 0.98b, pois a Microsoft alterou uns protocolos.

[29] Comentário enviado por coldplay em 26/12/2008 - 14:09h

parabéns kra...funcionou blz no Kurumin 7....abraço!

[30] Comentário enviado por Leonardosince92 em 21/08/2009 - 12:36h

olá, sou usuario novo do Kurumin e fui instalar o aMSN como é dado ai em cima...
Ocorreu tudo muito bem, só que, após a instalação o icone do aMSN nao aparece na "internet"..
Ou seja, eu instalo, diz que a instalação foi bem sucedida só que nao aparece icone pra fazer login..


Alguem poderia me ajudar?


Obrigado

[31] Comentário enviado por pardalz em 21/08/2009 - 14:59h

cria um atalho para ele
Abra seu editor de texto (acho q eh o KEdit)
cole isso:

#!/usr/bin/env xdg-open
[Desktop Entry]
Name=aMSN
Exec=amsn
Icon=amsn
Categories=Network;InstantMessaging;
Comment=MSN Messenger for Linux
Terminal=false
Type=Application
StartupNotify=true


Depois é só salvar na sua area de trabalho como Amsn.Desktop

pronto

ou vc tb pode digitar no terminal: amsn
que ele irá abrir

[32] Comentário enviado por guisper007 em 20/02/2010 - 12:29h

Cara o sudo apt-get update está dando erro
mas o amsn instala mas ñ funciona



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts